#include "GameState.h"

#define NEW_STATE(state,class) GameState::states[state]=new class();

void GameState::Initialize(){
	NEW_STATE(States::GAME_RUN,State_GameRun);
	NEW_STATE(States::MAIN_MENU,State_MainMenu);

	GameState::ChangeState(States::GAME_RUN);
}